# Ogre::deque< T, A > Struct Template Reference

`#include <OgrePrerequisites.h>`

List of all members.

## Public Types

typedef std::deque< T, A > | type

## Detailed Description

### template<typename T, typename A = STLAllocator<T, GeneralAllocPolicy>>
struct Ogre::deque< T, A >

Definition at line 457 of file OgrePrerequisites.h.

## Member Typedef Documentation

template<typename T, typename A = STLAllocator<T, GeneralAllocPolicy>>

typedef std::deque<T, A> Ogre::deque< T, A >::type

Definition at line 460 of file OgrePrerequisites.h.

The documentation for this struct was generated from the following file:

- OgrePrerequisites.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58